<?php
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individual
   
    $query = mysqli_query($mysqli, "SELECT * FROM importaciones");
    if(!$query){
        die('Error en la consulta'. mysqli_error($mysqli));
    }

    $json = array(); 
    while($row = mysqli_fetch_array($query)){
        if($row['estado_import']==100){
            $est = "<span class='badge badge-success'>Exito en Carga</span>";
            $btn = "<a href='#' class='btn btn-xs btn-success' onclick='off($row[id_import])'><i class='fa fa-eye'><i/></a>";
        }else{
            $est = "<span class='badge badge-danger'>Error en Carga</span>";
            $btn = "<a href='#' class='btn btn-xs btn-danger' onclick='off($row[id_import])'><i class='fa fa-eye'><i/></a>";
        }
        
            
        
        $json[] = array(
            'archivo' => $row['archivo'],
            'estado' => $est,
            'fecha' => $row['fecha_import'],
            'usuario' => $row['usuario_import'],
            'detalles' => $row['detalles'],
            'btn' => $btn
        );
    }
    $jsonstring = json_encode($json);
    echo $jsonstring;
    
}

if($metodo=='POST'){
    if(isset($_POST['id_user_off'])){
        $id = $_POST['id_user_off'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='bloqueado' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
    if(isset($_POST['id_user_on'])){
        $id = $_POST['id_user_on'];
        $query = mysqli_query($mysqli, "UPDATE usuarios SET status='activo' WHERE id_user=$id");
        if(!$query){
            die('Error en el registro'. mysqli_error($mysqli));
        }
        echo '
        <div class="alert alert-success" role="alert" id="alerta1">
            El registro se ha actualizado satisfactoriamente!
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        ';
    }
}